MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026599Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-25 15:102016-04-20 15:48
Reporterkgv 
Assigned Toski 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026599: Visualization, TKOpenGl - gradient background should reset model transformation in Core profile
DescriptionGradient background is displayed incorrectly in Core profile when transformation is applied to the last displayed entity in the View.

This issue does not affect FFP due to different behavior in OpenGl_Context::ApplyWorldView().
Steps To Reproduce
pload MODELING VISUALIZATION
vcaps -ffp 0
vinit View1
vclear
vaxo
vsetgradientbg 255 0 0 0 0 255 2
box b 1 2 3
vdisplay b
vfit
vlocrotate b 0 0 0 0 0 1 50
vmoveto 150 250
TagsNo tags attached.
Test case numberbugs vis bug26599
Attached Filespng file icon gradient_ffp.png (4,240 bytes) 2015-08-25 15:11
png file icon gradient_glsl_KO.png (13,233 bytes) 2015-08-25 15:11

- Relationships
related to 0025475closedbugmaster Visualization, TKOpenGl - draw background using primitive arrays 
child of 0024838closedbugmaster Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0044606)
git (administrator)
2015-08-25 15:36

Branch CR26599 has been created by kgv.

SHA-1: 702be56bad1fc64f71290f75f302d7b99c5ace3a


Detailed log of new commits:

Author: kgv
Date: Tue Aug 25 15:34:47 2015 +0300

    0026599: Visualization, TKOpenGl - gradient background should reset model transformation in Core profile
    
    OpenGl_View::DrawBackground() - reset ModelWorldState as wellm not just WorldViewState.
(0044607)
kgv (developer)
2015-08-25 15:36

Patch is ready for review.
(0044608)
apl (developer)
2015-08-25 15:39

Dear bugmaster,

Please test the patch.
(0044656)
mkv (tester)
2015-08-26 13:26

Dear BugMaster,
Branch CR26599 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 702be56bad1fc64f71290f75f302d7b99c5ace3a

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26599-master-occt-64/Debian70-64/bugs/vis/bug26599.html [^]
http://occt-tests/CR26599-master-occt-64/Windows-64-VC10/bugs/vis/bug26599.html [^]
bugs vis bug26599: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91544409 / 91602364 [-0.06%]
Total CPU difference: 17792.759999998816 / 17713.959999998944 [+0.44%]
products component :
Total MEMORY difference: 25106745 / 25123208 [-0.07%]
Total CPU difference: 7164.94 / 7008.090000000001 [+2.24%]

Testing on Windows:
occt component :
Total MEMORY difference: 57016706 / 57008945 [+0.01%]
Total CPU difference: 16068.633403399073 / 16305.92652449918 [-1.46%]
products component :
Total MEMORY difference: 16120028 / 16119994 [+0.00%]
Total CPU difference: 5153.446234699959 / 5290.8519154999685 [-2.60%]

There are no differences in images found by testdiff.
(0044657)
git (administrator)
2015-08-26 13:27

Branch CR26599 has been updated by mkv.

SHA-1: 452bf260124d321243b511db84b247589af0a9d8


Detailed log of new commits:

Author: mkv
Date: Wed Aug 26 13:26:18 2015 +0300

    Test case for issue CR26599

(0044658)
mkv (tester)
2015-08-26 13:28

Dear BugMaster,
Branch CR26599 is TESTED.
(0046860)
git (administrator)
2015-10-16 16:08

Branch CR26599 has been deleted by kgv.

SHA-1: 452bf260124d321243b511db84b247589af0a9d8

- Related Changesets
occt: master e43a4f2b
Timestamp: 2015-08-27 10:49:39
Author: kgv
Committer: ski
Details ] Diff ]
0026599: Visualization, TKOpenGl - gradient background should reset model transformation in Core profile

OpenGl_View::DrawBackground() - reset ModelWorldState as wellm not just WorldViewState.
Test case for issue CR26599
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
add - tests/bugs/vis/bug26599 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-25 15:10 kgv New Issue
2015-08-25 15:10 kgv Assigned To => kgv
2015-08-25 15:11 kgv File Added: gradient_ffp.png
2015-08-25 15:11 kgv File Added: gradient_glsl_KO.png
2015-08-25 15:14 kgv Platform => Windows
2015-08-25 15:34 kgv Summary Visualization - gradient background inherits rotation of displayed object in core profile => Visualization, TKOpenGl - gradient background should reset model transformation in Core profile
2015-08-25 15:34 kgv Description Updated View Revisions
2015-08-25 15:36 git Note Added: 0044606
2015-08-25 15:36 kgv Note Added: 0044607
2015-08-25 15:36 kgv Assigned To kgv => apl
2015-08-25 15:36 kgv Status new => resolved
2015-08-25 15:37 kgv Relationship added related to 0025475
2015-08-25 15:38 kgv Relationship added child of 0024838
2015-08-25 15:38 kgv Severity minor => trivial
2015-08-25 15:39 apl Note Added: 0044608
2015-08-25 15:39 apl Assigned To apl => bugmaster
2015-08-25 15:39 apl Status resolved => reviewed
2015-08-25 15:43 mkv Assigned To bugmaster => mkv
2015-08-25 16:55 kgv Steps to Reproduce Updated View Revisions
2015-08-26 13:26 mkv Note Added: 0044656
2015-08-26 13:27 git Note Added: 0044657
2015-08-26 13:27 mkv Test case number => bugs vis bug26599
2015-08-26 13:28 mkv Note Added: 0044658
2015-08-26 13:28 mkv Assigned To mkv => bugmaster
2015-08-26 13:28 mkv Status reviewed => tested
2015-08-28 11:44 ski Changeset attached => occt master e43a4f2b
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-10-16 16:08 git Note Added: 0046860
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker